# Changelog

All notable changes to this project will be documented in this file.

## [v1.2.0](https://github.com/ashutoshgngwr/noice/releases/tag/1.2.0)

**Thursday, 12 August 2021**

- Redesign app navigation and UI flows
- Add user preferred fade-duration in Chromecast app
- Add fixed duration for fade-out transitions
- Fix playback glitch when dismissing alarm ringer
- Disable SSAID collection for analytics (Play Store)
- Update translations ([#749](https://github.com/ashutoshgngwr/noice/issues/749), [#750](https://github.com/ashutoshgngwr/noice/issues/750))

## [v1.1.1](https://github.com/ashutoshgngwr/noice/releases/tag/1.1.1)

**Saturday, 31 July 2021**

- Publish APKs on GitHub ([#732](https://github.com/ashutoshgngwr/noice/issues/732))

## [v1.1.0](https://github.com/ashutoshgngwr/noice/releases/tag/1.1.0)

**Saturday, 31 July 2021**

- Add alarm ringer UI ([#729](https://github.com/ashutoshgngwr/noice/issues/729))
- Use alarm ringer volume in wake-up timers ([#729](https://github.com/ashutoshgngwr/noice/issues/729))
- Update translations ([#730](https://github.com/ashutoshgngwr/noice/issues/730), [#731](https://github.com/ashutoshgngwr/noice/issues/731))

## [v1.0.2](https://github.com/ashutoshgngwr/noice/releases/tag/1.0.2)

**Tuesday, 20 July 2021**

- Fix a minor issue with analytics event logging
- Update translations

## [v1.0.1](https://github.com/ashutoshgngwr/noice/releases/tag/1.0.1)

**Monday, 19 July 2021**

- Fix incorrect text rendering in "Support Development"
- Fix issues with analytics
- Other minor improvements

## [v1.0.0](https://github.com/ashutoshgngwr/noice/releases/tag/1.0.0)

**Monday, 12 July 2021**

- Update license to GNU GPL v3
- Add non-linear volume slider ([#660](https://github.com/ashutoshgngwr/noice/issues/660))
- Add option to disable sound icons
- Add option to disable skip buttons in player notification for unsaved presets ([#683](https://github.com/ashutoshgngwr/noice/issues/683))
- Add analytics and update privacy policy for Play Store users
- Fix "App isn't installed" errors for preset shortcuts ([#651](https://github.com/ashutoshgngwr/noice/issues/651))

## [v0.17.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.17.0)

**Wednesday, 5 May 2021**

- Added app settings ([#462](https://github.com/ashutoshgngwr/noice/issues/462), [#578](https://github.com/ashutoshgngwr/noice/issues/578), [#602](https://github.com/ashutoshgngwr/noice/issues/602))
- Added player style notifications and media button support ([#607](https://github.com/ashutoshgngwr/noice/issues/607))
- Added option to share presets ([#503](https://github.com/ashutoshgngwr/noice/issues/503))
- Added app shortcuts for saved presets ([#579](https://github.com/ashutoshgngwr/noice/issues/579))
- Updated app appearance ([#556](https://github.com/ashutoshgngwr/noice/issues/556), [#596](https://github.com/ashutoshgngwr/noice/issues/596), [#601](https://github.com/ashutoshgngwr/noice/issues/601))
- Fixed inability to pin home screen shortcuts below Android 8 ([#606](https://github.com/ashutoshgngwr/noice/issues/606))

## [v0.16.1](https://github.com/ashutoshgngwr/noice/releases/tag/0.16.1)

**Friday, 23 April 2021**

- Fix moderate rain sound ([#600](https://github.com/ashutoshgngwr/noice/issues/600))
- Fix preset stop button misbehaviour ([#593](https://github.com/ashutoshgngwr/noice/issues/593), [#594](https://github.com/ashutoshgngwr/noice/issues/594))
- Fix Open Collective button background (F-Droid only)

## [v0.16.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.16.0)

**Thursday, 15 April 2021**

- Add visual confirmation on setting a wake-up timer ([#554](https://github.com/ashutoshgngwr/noice/issues/554))
- Move random preset button to navigation drawer menu ([#559](https://github.com/ashutoshgngwr/noice/issues/559))
- Fix time reset bug in wake-up timer ([#543](https://github.com/ashutoshgngwr/noice/issues/543))
- Fix launcher shortcut not working the second time ([#536](https://github.com/ashutoshgngwr/noice/issues/536))
- Fix clipped text in app intro on small screens ([#558](https://github.com/ashutoshgngwr/noice/issues/558))
- Update translations

## [v0.15.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.15.0)

**Wednesday, 10 February 2021**

- Add option to set "Saved Preset" as default app screen
- Add 24 hour time picker and global volume controller to Wake-up timer
- Update German translations (by MakiWolf)
- Fix and update sound samples and amplify volumes
- Fix overflowing donate and timer buttons
- Fix "app stuck in the paused state indefinitely"
- Fix text overflow in the app intro
- Fix a bug in audio focus management

## [v0.14.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.14.0)

**Monday, 14 December 2020**

- Fix app stuck in "Pause" mode after unplugging headphones ([#426](https://github.com/ashutoshgngwr/noice/issues/426))
- Add Turkish translations (by Berkay Gündüz) ([#428](https://github.com/ashutoshgngwr/noice/issues/428), [#441](https://github.com/ashutoshgngwr/noice/issues/441))
- Update German translations (by MakiWolf) ([#446](https://github.com/ashutoshgngwr/noice/issues/446))

## [v0.13.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.13.0)

**Thursday, 3 December 2020**

- Add button to play a random mix (preset) ([#424](https://github.com/ashutoshgngwr/noice/issues/424))
- Add "Add to home screen" option for presets ([#425](https://github.com/ashutoshgngwr/noice/issues/425))
- Amplify sound volumes ([#408](https://github.com/ashutoshgngwr/noice/issues/408), [#358](https://github.com/ashutoshgngwr/noice/issues/358))
- Fix the disappearing Wake-up timer when renaming the selected preset ([#425](https://github.com/ashutoshgngwr/noice/issues/425))

## [v0.12.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.12.0)

**Sunday, 18 October 2020**

- Added Ukranian translations ([#354](https://github.com/ashutoshgngwr/noice/issues/354))
- Added Indonesian translations ([#369](https://github.com/ashutoshgngwr/noice/issues/369))
- Updated Russian translations ([#363](https://github.com/ashutoshgngwr/noice/issues/363))
- Updated Portuguese (Brazil) translations ([#381](https://github.com/ashutoshgngwr/noice/issues/381), [#382](https://github.com/ashutoshgngwr/noice/issues/382))

## [v0.11.1](https://github.com/ashutoshgngwr/noice/releases/tag/0.11.1)

**Saturday, 26 September 2020**

- CRITICAL: Remove unwanted gap in looping sounds ([#344](https://github.com/ashutoshgngwr/noice/issues/344), [#345](https://github.com/ashutoshgngwr/noice/issues/345))

## [v0.11.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.11.0)

**Friday, 18 September 2020**

- Added flow to provide review inside the app ([#336](https://github.com/ashutoshgngwr/noice/issues/336))
- Updated French translations ([#326](https://github.com/ashutoshgngwr/noice/issues/326))
- Updated Czech translations ([#329](https://github.com/ashutoshgngwr/noice/issues/329))

## [v0.10.1](https://github.com/ashutoshgngwr/noice/releases/tag/0.10.1)

**Thursday, 10 September 2020**

- Fixed Brownian noise sample ([#325](https://github.com/ashutoshgngwr/noice/issues/325))
- Updated Hindi translations ([#324](https://github.com/ashutoshgngwr/noice/issues/324))
- Updated Spanish translations ([#322](https://github.com/ashutoshgngwr/noice/issues/322))

## [v0.10.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.10.0)

**Sunday, 6 September 2020**

- Compressed sound library disk size by ~42% ([#62](https://github.com/ashutoshgngwr/noice/issues/62), [#286](https://github.com/ashutoshgngwr/noice/issues/286))
- Added 11 new sounds ([#115](https://github.com/ashutoshgngwr/noice/issues/115), [#139](https://github.com/ashutoshgngwr/noice/issues/139), [#157](https://github.com/ashutoshgngwr/noice/issues/157), [#164](https://github.com/ashutoshgngwr/noice/issues/164), [#215](https://github.com/ashutoshgngwr/noice/issues/215), [#305](https://github.com/ashutoshgngwr/noice/issues/305))
- Increased allowed time range for non-looping sounds ([#311](https://github.com/ashutoshgngwr/noice/issues/311))
- Replaced duration with exact time in wake-up timer ([#273](https://github.com/ashutoshgngwr/noice/issues/273), [#306](https://github.com/ashutoshgngwr/noice/issues/306))
- Applied loudness equilization to many sounds ([#313](https://github.com/ashutoshgngwr/noice/issues/313))
- Added app intro slides for first-timers ([#172](https://github.com/ashutoshgngwr/noice/issues/172), [#318](https://github.com/ashutoshgngwr/noice/issues/318))

## [v0.9.1](https://github.com/ashutoshgngwr/noice/releases/tag/0.9.1)

**Thursday, 30 July 2020**

- Fixed duplicate entries appearing in Preset list ([#252](https://github.com/ashutoshgngwr/noice/issues/252))
- Updated German translations ([#244](https://github.com/ashutoshgngwr/noice/issues/244))
- Fixed market icon background ([#250](https://github.com/ashutoshgngwr/noice/issues/250))
- Dependency upgrades

## [v0.9.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.9.0)

**Monday, 20 July 2020**

- Enabled fade effects for sound volume adjustments
- Fixed playback not resuming after short interruptions
- Added categories in the sound library
- Added Czech translations
- Added Polish translations

## [v0.8.1](https://github.com/ashutoshgngwr/noice/releases/tag/0.8.1)

**Saturday, 4 July 2020**

- Fix minor bugs
- Fix issues related to app store listings

## [v0.8.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.8.0)

**Thursday, 25 June 2020**

- Add Wake-up timer
- Add experimental support for Chromecast (Play Store release only)
- Add play-pause toggle to the titlebar
- Add Brazillian Portuguese (pt-BR) translations
- Add Dutch (nl) translations
- Add Spanish (es-ES) translations
- Add Swedish (sv) translations
- Add Albanian (sq-AL) translations
- Add interface to support development
- Miscellaneous bug fixes & UI improvements
- Update to privacy policy

## [v0.7.2](https://github.com/ashutoshgngwr/noice/releases/tag/0.7.2)

**Wednesday, 27 May 2020**

- Fixed crash on resuming app from background
- Fixed save preset button not showing up sometimes
- Fixed animation stuttering on browsing app screens
- Minor UI/UX improvements

## [v0.7.1](https://github.com/ashutoshgngwr/noice/releases/tag/0.7.1)

**Thursday, 21 May 2020**

- Remove cracking noise from heavy rain sound
- Fix play buttons in UI not responding
- Fix dark theme (now 35% more dark)
- Fix app banner in About section

## [v0.7.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.7.0)

**Tuesday, 12 May 2020**

- Added French translations
- Minor bug fixes

This release was needed to fix the broken build for version 0.6.0
on F-Droid.

## [v0.6.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.6.0)

**Tuesday, 5 May 2020**

- Added rename option to Preset list
- Added italian translations
- Added adaptive launcher icons
- Redesign interface for setting sleep timer
- Minor bug fixes and UI improvements

## [v0.5.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.5.0)

**Friday, 24 April 2020**

- Added German translations
- Minor UI improvements
- Fixed minor bugs

## [v0.4.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.4.0)

**Wednesday, 15 April 2020**

- Added fade in/out effects for playbacks
- Added airplane sounds to the library
- Added raw noise to the library (white, pink & brownian)
- Added russian translations
- Fixed spanish translations not showing up
- Fixed appearance consistency across theme variants

## [v0.3.4](https://github.com/ashutoshgngwr/noice/releases/tag/0.3.4)

**Monday, 30 March 2020**

- Fixes issues with saved preset caused after upgrading from 0.2.7
- Adds spanish (argentinian) translations
- Adds hindi translations

## [v0.3.3](https://github.com/ashutoshgngwr/noice/releases/tag/0.3.3)

**Monday, 23 March 2020**

- Fixes a force close when opening preset library
- Adds office ambiance to the sound library

## [v0.3.2](https://github.com/ashutoshgngwr/noice/releases/tag/0.3.2)

**Sunday, 22 March 2020**

- Fix a force close in sleep timer
- Add light theme variant along with a theme selector

## [v0.3.1](https://github.com/ashutoshgngwr/noice/releases/tag/0.3.1)

**Wednesday, 18 March 2020**

- Add auto sleep timer
- Add high fidelity sound library
- Remove playing state based auto ordering of sounds in library
- Miscellaneous bug fixes

## [v0.3.0-rc](https://github.com/ashutoshgngwr/noice/releases/tag/0.3.0-rc)

**Tuesday, 17 March 2020**

- Add auto sleep timer
- Add high fidelity sound library
- Remove playing state based auto ordering of sounds in library

## [v0.2.8-rc](https://github.com/ashutoshgngwr/noice/releases/tag/0.2.8-rc)

**Sunday, 17 November 2019**

- Fixes minor issues
- Updates dependencies

## [v0.2.7](https://github.com/ashutoshgngwr/noice/releases/tag/0.2.7)

**Sunday, 10 November 2019**


## [v0.2.6](https://github.com/ashutoshgngwr/noice/releases/tag/0.2.6)

**Tuesday, 27 August 2019**


## [v0.2.5](https://github.com/ashutoshgngwr/noice/releases/tag/0.2.5)

**Friday, 5 July 2019**


## [v0.2.4-rc](https://github.com/ashutoshgngwr/noice/releases/tag/0.2.4-rc)

**Sunday, 30 June 2019**


## [v0.2.3-rc](https://github.com/ashutoshgngwr/noice/releases/tag/0.2.3-rc)

**Friday, 28 June 2019**


## [v0.2.2](https://github.com/ashutoshgngwr/noice/releases/tag/0.2.2)

**Wednesday, 26 June 2019**


## [v0.2.1](https://github.com/ashutoshgngwr/noice/releases/tag/0.2.1)

**Wednesday, 19 June 2019**


## [v0.2.1-rc](https://github.com/ashutoshgngwr/noice/releases/tag/0.2.1-rc)

**Wednesday, 19 June 2019**


## [v0.2.0-rc](https://github.com/ashutoshgngwr/noice/releases/tag/0.2.0-rc)

**Tuesday, 18 June 2019**


## [v0.1.0](https://github.com/ashutoshgngwr/noice/releases/tag/0.1.0)

**Thursday, 13 June 2019**


## [v0.1.0-rc1](https://github.com/ashutoshgngwr/noice/releases/tag/0.1.0-rc1)

**Thursday, 13 June 2019**


## [v0.1.0-rc0](https://github.com/ashutoshgngwr/noice/releases/tag/0.1.0-rc0)

**Sunday, 9 June 2019**

- Push inital release to Google Play beta track

## [v0.0.1-rc0](https://github.com/ashutoshgngwr/noice/releases/tag/0.0.1-rc0)

**Friday, 7 June 2019**


